Subject: Re: [PATCH 1/2] elf loader support for auxvec base platform string

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Jul 2008 16:48:47 +1000

On Sun, 2008-07-06 at 23:35 -0700, Roland McGrath wrote:
> > I'm not sure... if ld.conf.d isn't parse of the kernel source tree then
> > it -will- end in tears...
> 
> Of course, you should include the file you want people to install
> as part of the kernel source or build.  You can copy it into
> place in make install or something if you like (convention is to
> call it something.conf in /etc/ld.so.conf.d); then run ldconfig.
> The x86-xen case has not bothered to include its one-line file as
> such, just the comment in arch/x86/vdso/vdso32/note.S telling you
> what it is.

Nathan, can you discuss that with Steve Munroe and see if he's ok
with such an approach ?

Cheers,
Ben.